> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an Entity's Consent

Updates an Entity's consent. Set `type` to `withdraw` to disable the Entity, withdraw consent on all of its Accounts, and remove active Products and Subscriptions. Set `type` to `grant` to reactivate an Entity that was disabled because consent was withdrawn and to reactivate its eligible Accounts.

## Path Parameters

## Body

## Returns

Returns the updated Entity. With `type: withdraw`, the Entity has `status: disabled`. With `type: grant`, Method reactivates an Entity that was disabled because consent was withdrawn.

```bash cURL theme={null}
curl https://production.methodfi.com/entities/ent_au22b1fbFJbp8/consent \
  -X POST \
  -H "Method-Version: 2026-03-30" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
  -H "Content-Type: application/json" \
  -d '{
    "type": "withdraw",
    "reason": "entity_withdrew_consent"
  }'
```

```javascript Node.js theme={null}
const entity = await method.entities.withdrawConsent('ent_au22b1fbFJbp8');
```

```python Python theme={null}
entity = method.entities.withdraw_consent('ent_au22b1fbFJbp8', {
  'type': 'withdraw',
  'reason': 'entity_withdrew_consent'
})
```

```json theme={null}
 {
  "id": "ent_qJk8AJ9grkGHg",
  "type": null,
  "individual": null,
  "corporation": null,
  "receive_only": null,
  "verification": null,
  "error": {
    "type": "ENTITY_DISABLED",
    "sub_type": "ENTITY_CONSENT_WITHDRAWN",
    "code": 12004,
    "message": "Entity was disabled due to consent withdrawal."
  },
  "address": {},
  "status": "disabled",
  "metadata": null,
  "created_at": "2024-05-31T21:27:46.044Z",
  "updated_at": "2024-05-31T21:27:49.468Z"
}

```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.